#! /usr/bin/env python
"""Count shown files; display the date of oldest file

This file is a part of XSetBg.

"""

__author__ = "Oleg Broytman <phd@phdru.name>"
__copyright__ = "Copyright (C) 2006-2014 PhiloSoft Design"
__license__ = "GNU GPL"

from time import localtime, asctime
from xsetbg_db import xsetbg_db

count = 0
oldest = None

for key in xsetbg_db.keys():
   count += 1
   if key.startswith('/') and ((oldest is None) or (xsetbg_db[key] < oldest)):
      oldest = xsetbg_db[key]
xsetbg_db.close()

print count, "files"
print "Oldest:", asctime(localtime(oldest))
